if file.plot_dir==1
    
   
nameMic = 'Microphones_twoarcs_horizontal_ordered.txt';
filename1 = fullfile(nameMic);
mic_coords = importdata(filename1);


obs_x = mic_coords(:,1);
obs_y = mic_coords(:,2);
obs_z = mic_coords(:,3);

direc_loop = 1:length(obs_x);
%check the coordinates of microphone.

figure(1)
grid on
plot3(blade.centre.z,blade.centre.x,blade.centre.y,'.b','MarkerSize',20)
hold on
plot3(obs_z,obs_x,obs_y,'.r','MarkerSize',20);
grid on
xlabel('z [m]','interpreter','latex','FontSize',30,'FontWeight','bold')
ylabel('x [m]','interpreter','latex','FontSize',30,'FontWeight','bold')
zlabel('y [m]','interpreter','latex','FontSize',30,'FontWeight','bold')
lg = legend('WT center of rotation','Microphones')
set(lg,'Interpreter','latex')
set(gca,'Ydir','reverse');
set(gca,'Xdir','Reverse','FontSize',28,'TickLabelInterpreter','latex')

else
    
    direc_loop = 1;
    %check the position of the observer defined in initialise_var
    
%     figure(1)
%     plot3(blade.centre.z,blade.centre.x,blade.centre.y,'.b','MarkerSize',20)
%     hold on
%     plot3(blade.observer(3),blade.observer(1),blade.observer(2),'.r','MarkerSize',20)
%     grid on
%     xlabel('z [m]','interpreter','latex','FontSize',30,'FontWeight','bold')
%     ylabel('x [m]','interpreter','latex','FontSize',30,'FontWeight','bold')
%     zlabel('y [m]','interpreter','latex','FontSize',30,'FontWeight','bold')
%     lg = legend('WT center of rotation','Observer');
%     set(lg,'Interpreter','latex') 
%     set(gca,'Ydir','reverse');
%     set(gca,'Xdir','reverse');
%     set(gca,'FontSize',28,'TickLabelInterpreter','latex')
end