function Bb=B(St,Stref,Re)

b=abs(log10(St./Stref));

Bminb=Bmin(b);
Bmaxb=Bmax(b);

if Re < 9.52 *10^4
    b0 = 0.30;
elseif (Re >= 9.52*10^4) && (Re <= 8.57 *10^5)
    b0 = (-4.48e-13)*(Re-8.57e5).^2+0.56;
else
    b0 = 0.56;
end


Bminb0=Bmin(b0);
Bmaxb0=Bmax(b0);

Brb0=(-20-Bminb0)./(Bmaxb0-Bminb0);

Bb=Bminb+Brb0.*(Bmaxb-Bminb);

