function Gg1=G1(St,St_peak)

%determine the spectral shape function G1, in terms of the ratio of
%Strouhal number to its peak.
e_ratio = St./St_peak;


if e_ratio <= 0.5974
Gg1 = 39.8.*log10(e_ratio)-11.12;
elseif (e_ratio > 0.5974) && (e_ratio <= 0.8545)
Gg1 = 98.409.*log10(e_ratio)+2.0;
elseif (e_ratio > 0.8545) && (e_ratio <= 1.17)
Gg1 = -5.076+sqrt(2.484-506.25.*((log10(e_ratio)).^2));
elseif (e_ratio > 1.17) && (e_ratio <= 1.674)
Gg1 = -98.409*log10(e_ratio)+2.0;
else
    Gg1 = -39.8.*log10(e_ratio)-11.12;
end
end


