disp(['Plotting Results']);


figure(1111)
hold on; grid on;
 semilogx(f,noise.SPL.TBL_AV2,'-k','LineWidth',2);
 semilogx(f,noise.SPL.LBL_AV2,'-y','LineWidth',2);
 semilogx(f,noise.SPL.TE_AV2,'*b','LineWidth',2);
 semilogx(f,noise.SPL.tno_AV2,'-c','LineWidth',2);
 semilogx(f,noise.SPL.itno_AV2,'-r','LineWidth',2);
 semilogx(f,noise.SPL.amiet_AV2,'-b','LineWidth',2);
 semilogx(f,noise.SPL.inflow_AV2,'-m','LineWidth',2);
 semilogx(f,noise.SPL.buck_AV2,'-g','LineWidth',2);
%  xlim([20 10000])
%  ylim([-10 80])
 xlabel('Frequency [Hz]','interpreter','latex','FontSize',30,'FontWeight','bold');
 ylabel('SPL [dB]','interpreter','latex','FontSize',30,'FontWeight','bold');
%  lg = legend('$SPL_{BPM}$','$SPL_{TNO}$','$SPL_{iTNO}$','$SPL_{Amiet}$','$SPL_{Paterson}$','$SPL_{Buck}$');
%  title('$L_{t}$ = 0.075 m, $I_{t}$ = 15 $\%$','Interpreter','latex')
 title('TSR = 4','Interpreter','latex')
 lg = legend('TBL-TE-BPM','LBL-VS-BPM','TE-VS-BPM','TBL-TE-TNO','TBL-TE-iTNO','Inflow-Amiet','Inflow-Paterson','Inflow-Buck');
 set(lg,'Interpreter','latex');
 set(gca,'FontSize',28,'TickLabelInterpreter','latex');   
 
%  f_long = f;
%  save('f_long.mat','f_long')
 
 figure(1112)
 semilogx(f,noise.SPL.TBL_AV2,'-k','LineWidth',2);
 hold on
 semilogx(f,noise.SPL.lbl_temp,'-m','LineWidth',2);
 hold on
 semilogx(f,noise.SPL.TE_AV2,'-b','LineWidth',2);
 hold on
 semilogx(f,noise.SPL.itno_AV2,'-r','LineWidth',2);
 hold on
%  semilogx(f,noise.SPL.inflow_AV2,'-b','LineWidth',2);
%  hold on
 semilogx(f,noise.SPL.buck_AV2,'-g','LineWidth',2);
 grid on
 xlim([20 10000])
 ylim([0 80])
 xlabel('Frequency [Hz]','interpreter','latex','FontSize',30,'FontWeight','bold');
 ylabel('SPL [dB]','interpreter','latex','FontSize',30,'FontWeight','bold');
 title('Horizontal microphones-TSR = 4','Interpreter','latex')
 lg = legend('TBL-TE-BPM','LBL-VS-BPM','TE-VS-BPM','TBL-TE-iTNO','Inflow-Buck');
 set(lg,'Interpreter','latex');
 set(gca,'FontSize',28,'TickLabelInterpreter','latex');   
 
 
 
%     % axis square
%      
%     set(gca, 'Units', 'pixels', 'Position', [80, 80, 350, 350]);
%         set(gcf, 'Units', 'pixels', 'Position', [10, 10,800, 550]);
% 
%     set(gcf,'color','white')
%          set(gca,'TickLabelInterpreter','latex')
%              set(0,'defaulttextinterpreter','latex')
% 
%  set(gca,'FontName','FreeSerif') %set the font size for the x axis label
%     set(gca,'fontsize',12) %set the font size for the x axis label
%    % set(gca, 'FontName', 'FreeSerif', 'FontSize', 12)
%     %ylabel(['SPL [dB' mod_A ' ref 2e10^{-5}]'])
%     ylabel(['SPL (dB,' mod_A ' ref 20 $\mu$Pa)'])
% 
%     xlabel('Frequency, ${f}$ (Hz)')
%     %legend(['TBL - BPM (' num2str(round(addDB(plotp{1}))) 'dB)'],['TBL - TNO('  num2str(round(addDB(plotp{2}))) 'dB)'],['TBL - iTNO ('  num2str(round(addDB(plotp{3}))) 'dB)'],['Inflow - Amiet ('  num2str(round(addDB(plotp{4}))) 'dB)'],['Inflow - Moriarty et.al. ('  num2str(round(addDB(plotp{5}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plotp{6}))) 'dB)'],'Location','northeastoutside')
%            legend(['TBL - BPM (' num2str(round(addDB(plot_obj{iiq}{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot_obj{iiq}{2}))) 'dB)'],['Inflow - Paterson+Amiet ('  num2str(round(addDB(plot_obj{iiq}{3}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot_obj{iiq}{4}))) 'dB)'],'Location','northeastoutside')
%     set(gca, 'Units', 'pixels', 'Position', [80, 80, 350, 350]);
% 
%     xlim([0 10000])
%     %ylim([floor(min(plot_obj{iiq}{iip})/10)*10+20 ceil(max(plot_obj{iiq}{iip})/10)*10+20])
%     ylim([0 80])
%        xticks([-20:20:100])
% %ax=gca;
%    %     ylim([0 100])
%    xticks([10^2 10^3 10^4])
%     xticklabels({ '${10^2}$', '${10^3}$', '${10^4}$'})
%     %title(sprintf(['SPL ' mod_A ' Case ' num2str(file.casea) ',\nU=' num2str(blade.meanflow) 'm/s,  \\omega =' num2str(round(blade.speed.*9.54929659643)) 'RPM,\n' mod2]) )
%        title({['SPL ' mod_A ' Case ' num2str(file.casea) ','] ['U=' num2str(blade.meanflow) 'm/s,  ${\omega}$ =' num2str(round(blade.speed.*9.54929659643)) 'RPM, \newline '] [mod2]} )
% 
%     xlim([20 10000])
%     t = annotation('textbox');
%     s = t.FontSize;
%     t.FontSize = 12;
%     t.String=['Observer: < ' num2str(blade.observer(1)-blade.centre.x) '; ' num2str(blade.observer(2)-blade.centre.y) '; ' num2str(blade.observer(3)-blade.centre.z) ' >'];
%     t.FontName='FreeSerif';
%     t.FontSize=12;
%     t.Position=[0.73 0.4 .1 .1];
%     t.Margin=1;
%     t.HorizontalAlignment='center';
%     t.VerticalAlignment='middle';
%     
%     
%     t = annotation('textbox','Interpreter', 'latex');
%    % s = t.FontSize;
%     t.FontSize = 12;
%     t.String=['U$_\infty$=' num2str(blade.meanflow) ' m/s'];
%         t.FontName='FreeSerif';
%     t.FontSize=12;
%     t.Position=[0.38 0.68 .1 .1];
%     t.Margin=1;
%     t.HorizontalAlignment='center';
%     t.VerticalAlignment='middle';
%    
% 
% end
% 
% try
%     if blade.qr==1
%                 blade.spl_comp=blade.spl_comp;
% 
%         figure(131)
%         grid on
%         %file.casea='QR5';
%         scatter(blade.ff,blade.spl_comp,'ok','filled');
%         
%        % legend(['TBL - BPM (' num2str(round(addDB(plot1{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot1{2}))) 'dB)'],['TBL - iTNO ('  num2str(round(addDB(plot1{3}))) 'dB)'],['Inflow - Amiet ('  num2str(round(addDB(plot1{4}))) 'dB)'],['Inflow - Moriarty et.al. ('  num2str(round(addDB(plot1{5}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot1{6}))) 'dB)'],['Measurements (' num2str(round(addDB(    blade.spl_comp(blade.spl_comp>=0 | blade.spl_comp<0)))) 'dB)'],'Location','northeastoutside')
%        legend(['TBL - BPM (' num2str(round(addDB(plot1{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot1{2}))) 'dB)'],['Inflow - Paterson+Amiet ('  num2str(round(addDB(plot1{3}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot1{4}))) 'dB)'],['Measurements (' num2str(round(addDB(    blade.spl_comp(blade.spl_comp>=0 | blade.spl_comp<0)))) 'dB)'],'Location','northeastoutside')
% 
%                blade.spl_comp=blade.spl_comp+ASPL;
% 
%         figure(132)
%                 grid on
% 
%         %file.casea='QR5';
%         scatter(blade.ff,blade.spl_comp,'ok','filled');
%        % legend(['TBL - BPM (' num2str(round(addDB(plot1{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot1{2}))) 'dB)'],['TBL - iTNO ('  num2str(round(addDB(plot1{3}))) 'dB)'],['Inflow - Amiet ('  num2str(round(addDB(plot1{4}))) 'dB)'],['Inflow - Moriarty et.al. ('  num2str(round(addDB(plot1{5}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot1{6}))) 'dB)'],['Measurements (' num2str(round(addDB(    blade.spl_comp(blade.spl_comp>=0 | blade.spl_comp<0)))) 'dB)'],'Location','northeastoutside')
%        legend(['TBL - BPM (' num2str(round(addDB(plot2{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot2{2}))) 'dB)'],['Inflow - Paterson+Amiet ('  num2str(round(addDB(plot2{3}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot2{4}))) 'dB)'],['Measurements (' num2str(round(addDB(    blade.spl_comp(blade.spl_comp>=0 | blade.spl_comp<0)))) 'dB)'],'Location','northeastoutside')
% 
%     end
%     
%     
% catch
%   
%     
% end
% 
% 
% 
% oasl=0;
% if oasl==1
%     % Find OASL:
%    % TBL_in=input(sprintf('select best TBL\n1:BPM \n2:TNO\n3:iTNO\n  :'));
%     %inflow_in=input(sprintf('select best inflow\n4:Amiet \n5:Moriarty \n6:Buck\n  :'));
%     
%     TBL_in=3;
%     inflow_in=6;
%     
%     noise.OASPL=addDB([plot1{TBL_in};plot1{inflow_in}]);
%     noise.OASPL_A=addDB([plot2{TBL_in};plot2{inflow_in}]);
%     
%     figure(131)
%     semilogx(f,real(noise.OASPL),'k');
%     legend(['TBL - BPM (' num2str(round(addDB(plot1{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot1{2}))) 'dB)'],['TBL - iTNO ('  num2str(round(addDB(plot1{3}))) 'dB)'],['Inflow - Amiet ('  num2str(round(addDB(plot1{4}))) 'dB)'],['Inflow - Moriarty et.al. ('  num2str(round(addDB(plot1{5}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot1{6}))) 'dB)'],['OASPL (' num2str(round(addDB(noise.OASPL))) 'dB)'],'Location','northeastoutside')
%     axis square
%         legend('-DynamicLegend');
% 
%     figure(132)
%     semilogx(f,real(noise.OASPL_A),'k');
%     legend(['TBL - BPM (' num2str(round(addDB(plot2{1}))) 'dB)'],['TBL - TNO ('  num2str(round(addDB(plot2{2}))) 'dB)'],['TBL - iTNO ('  num2str(round(addDB(plot2{3}))) 'dB)'],['Inflow - Amiet ('  num2str(round(addDB(plot2{4}))) 'dB)'],['Inflow - Moriarty et.al. ('  num2str(round(addDB(plot2{5}))) 'dB)'],['Inflow - Buck ('  num2str(round(addDB(plot2{6}))) 'dB)'],['OASPL (' num2str(round(addDB(noise.OASPL_A))) 'dB)'],'Location','northeastoutside')
%     axis square
%     legend('-DynamicLegend');
%     for ii=1:6
%         if ii==TBL_in ||ii==inflow_in
%             
%         else
%             set(plot3{ii,1},'Visible','off');
%             set(plot3{ii,2},'Visible','off');
%         end
%         refresh()
%     end
%     
% end  
% 
% % 
% % figure(131)
% % fprintf('\nSAVING PLOT')
% % eval(['export_fig fix_lines /home/jason/Documents/Dropbox/SWIP_2/SPL_Case_' num2str(file.casea) '_' mod2(1:3) ' -pdf -a4 -q80'])
% % figure(132)
% % fprintf('\nSAVING PLOT')
% % eval(['export_fig fix_lines /home/jason/Documents/Dropbox/SWIP_2/SPL_A_Case_' num2str(file.casea) '_' mod2(1:3) ' -pdf -a4 -q80'])
% 
% 
% %% save as PDF
% path1 = getenv('PATH');
% path1 = [path1 ':/usr/local/bin'];
% setenv('PATH', path1);
% !echo $PATH;
% % to use this start matlab like this:
% %  LD_PRELOAD='/usr/lib/x86_64-linux-gnu/libstdc++.so.6' matlab
% 
% % 
% % 
% % for ii1=1:2
% %     fprintf(['\nSaving Spectrum']);
% %     fprintf([' :' num2str(ii1)]);
% %     
% %         figure(130+ii1)
% %         
% %         if 130+ii1==131 %normal
% %             
% %                 imgSvNm = ['SPL_' num2str(file.casea) '_' mod2(1:3)]
% % 
% %         else %a weight
% %                 imgSvNm = ['SPL_A_' num2str(file.casea) '_' mod2(1:3)]
% % 
% %         end
% %         %   title({['SPL ' mod_A ' Case ' num2str(file.casea) ','] ['U=' num2str(blade.meanflow) 'm/s,  ${\omega}$ =' num2str(round(blade.speed.*9.54929659643)) 'RPM, \newline '] [mod2]} )
% % 
% %     
% %     base_dir1='/home/jason/Documents/Dropbox/img1'; %image save dir
% %     filesep='/';
% %     
% %     %print(gcf,[base_dir1 filesep imgSvNm],'-depsc2');
% %     path1=[base_dir1 filesep imgSvNm '.eps'];
% %     %    export_fig(path1)
% %      eval([   'export_fig fix_lines ' base_dir1 filesep imgSvNm '.pdf'])
% % 
% %    % export_fig(path1,'fix_lines')
% % %     
% % %     fname_input = [base_dir1,filesep,imgSvNm,'.eps'];
% % %     fname_output = [base_dir1,filesep,imgSvNm,'_fixed.eps'];
% % 
% % input1='/home/jason/Downloads/case3_kinetic_energy_legend.eps';
% % output1='/home/jason/Downloads/case3_kinetic_energy_legend1.eps';
% % output2='/home/jason/Downloads/case3_kinetic_energy_legend2.pdf';
% % system(['python fix_matlab_eps.py ',input1,' ',output1]);
% % eps2pdf output1 output2
% %      eps2pdf(fname_output,['/home/jason/Documents/Dropbox/img1/' imgSvNm '.pdf']);
% %      
%      
% % %     delete(fname_input, fname_output)
% % 
% %     
% %     
% % end
% 
% 
